> ## Documentation Index
> Fetch the complete documentation index at: https://docs.uselemma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get uploaded project artifact content

> Returns stored text content and metadata for one uploaded text artifact.



## OpenAPI

````yaml https://api.uselemma.ai/openapi.json get /projects/{project_id}/artifacts/{artifact_id}/content
openapi: 3.1.0
info:
  title: Lemma Platform API
  description: Lemma Platform HTTP API for AI observability and workspace operations.
  version: 0.1.0
servers: []
security:
  - bearerAuth: []
paths:
  /projects/{project_id}/artifacts/{artifact_id}/content:
    get:
      tags:
        - Projects
      summary: Get uploaded project artifact content
      description: Returns stored text content and metadata for one uploaded text artifact.
      operationId: get_project_artifact_content
      parameters:
        - name: project_id
          in: path
          required: true
          description: Project ID
          schema:
            type: string
        - name: artifact_id
          in: path
          required: true
          description: Uploaded artifact ID
          schema:
            type: string
      responses:
        '200':
          description: Uploaded text artifact content
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  project_id:
                    type: string
                  agent_name:
                    type:
                      - string
                      - 'null'
                  filename:
                    type: string
                  content_type:
                    type: string
                  size_bytes:
                    type: number
                  created_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  content:
                    type: string
                required:
                  - id
                  - project_id
                  - agent_name
                  - filename
                  - content_type
                  - size_bytes
                  - created_at
                  - content
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  detail:
                    type: string
                required:
                  - detail
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````